FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202011041933.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011041933.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8993e3c OS_GIT_VERSION=4.6.0-202011041933.p0-8993e3c SOURCE_DATE_EPOCH=1601650489 SOURCE_GIT_COMMIT=8993e3c17ffca449079130d8b37f6326eb175b88 SOURCE_GIT_TAG=8993e3c1 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-descheduler-operator
COPY . .
RUN go build -o cluster-kube-descheduler-operator ./cmd/cluster-kube-descheduler-operator

FROM openshift/ose-base:v4.6.0.20201104.194807
ENV __doozer=update BUILD_RELEASE=202011041933.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011041933.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8993e3c OS_GIT_VERSION=4.6.0-202011041933.p0-8993e3c SOURCE_DATE_EPOCH=1601650489 SOURCE_GIT_COMMIT=8993e3c17ffca449079130d8b37f6326eb175b88 SOURCE_GIT_TAG=8993e3c1 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/cluster-kube-descheduler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/manifests /manifests
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/metadata /metadata

LABEL \
        io.k8s.display-name="OpenShift Descheduler Operator" \
        io.k8s.description="This is a component of OpenShift and manages the descheduler" \
        io.openshift.tags="openshift,cluster-kube-descheduler-operator" \
        com.redhat.delivery.appregistry="False" \
        maintainer="AOS workloads team, <aos-workloads@redhat.com>" \
        name="openshift/ose-cluster-kube-descheduler-operator" \
        com.redhat.component="ose-cluster-kube-descheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202011041933.p0" \
        io.openshift.build.commit.id="8993e3c17ffca449079130d8b37f6326eb175b88" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-descheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-descheduler-operator/commit/8993e3c17ffca449079130d8b37f6326eb175b88" \
        version="v4.6.0"

